> For the complete documentation index, see [llms.txt](https://docs.openreview.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openreview.net/v1/how-to-guides/communication/how-to-resend-openreview-notifications.md).

# How to Resend OpenReview Notifications

[First, create the openreview-py client](/v1/getting-started/using-the-api/installing-and-instantiating-the-python-client.md).

The [resend\_emails](https://github.com/openreview/openreview-py/blob/9e76b22752926082ba5fa1459a9eccb716e0ae88/openreview/tools.py#L1840) tool in the openreview-py library will allow program organizers to resend email notifications. To do this you'll need the requestID, this is the request made to send the emails.  For example, if Decisions were sent to authors via the Post Decision Stage there would be a single request ID for each authors group. The request ID is found in the message logs \***I want to be more specific here**\*

`"requestId": "XXXXXXXXXX"`

Once you have the request ID, determine who you want to resend the emails to. If you want to resend the email to all the members of the group the emails were originally sent to, include the group. If you only want to resend the email to one person in the group, use that email.

```python
# Resending emails to all group members
resend_emails(client, request_id='XXXXXXXXXX', groups=['My/Venue/Id/Submission14/Authors'])

# Resend an email to a single group member
resend_emails(client, request_id='XXXXXXXXXX', groups=['myemail@email.com'])
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openreview.net/v1/how-to-guides/communication/how-to-resend-openreview-notifications.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
